<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>LocalSession (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LocalSession (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10,"i61":10,"i62":10,"i63":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/LocalSession.html" target="_top">Frames</a></li>
<li><a href="LocalSession.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit</div>
<h2 title="Class LocalSession" class="title">Class LocalSession</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.LocalSession</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LocalSession</span>
extends java.lang.Object</pre>
<div class="block">Stores session information.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#MAX_HISTORY_SIZE">MAX_HISTORY_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#LocalSession--">LocalSession</a></span>()</code>
<div class="block">Construct the object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#LocalSession-com.sk89q.worldedit.LocalConfiguration-">LocalSession</a></span>(<a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config)</code>
<div class="block">Construct the object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#clearHistory--">clearHistory</a></span>()</code>
<div class="block">Clear history.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#compareAndResetDirty--">compareAndResetDirty</a></span>()</code>
<div class="block">Get whether this session is "dirty" and has changes that needs to
 be committed, and reset it to <code>false</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#createEditSession-com.sk89q.worldedit.entity.Player-">createEditSession</a></span>(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Construct a new edit session.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#describeCUI-com.sk89q.worldedit.extension.platform.Actor-">describeCUI</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Describe the selection to the CUI actor.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Calendar</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#detectDate-java.lang.String-">detectDate</a></span>(java.lang.String&nbsp;input)</code>
<div class="block">Detect date from a user's input.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#disableSuperPickAxe--">disableSuperPickAxe</a></span>()</code>
<div class="block">Disable super pick axe.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#dispatchCUIEvent-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.internal.cui.CUIEvent-">dispatchCUIEvent</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                <a href="../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</code>
<div class="block">Dispatch a CUI event but only if the actor has CUI support.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#dispatchCUISelection-com.sk89q.worldedit.extension.platform.Actor-">dispatchCUISelection</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Send the selection information.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#dispatchCUISetup-com.sk89q.worldedit.extension.platform.Actor-">dispatchCUISetup</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Dispatch the initial setup CUI messages.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#enableSuperPickAxe--">enableSuperPickAxe</a></span>()</code>
<div class="block">Enable super pick axe.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getBlockBag-com.sk89q.worldedit.entity.Player-">getBlockBag</a></span>(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Get a block bag for a player.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getBlockChangeLimit--">getBlockChangeLimit</a></span>()</code>
<div class="block">Get the maximum number of blocks that can be changed in an edit session.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/command/tool/BrushTool.html" title="class in com.sk89q.worldedit.command.tool">BrushTool</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getBrushTool-com.sk89q.worldedit.world.item.ItemType-">getBrushTool</a></span>(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item)</code>
<div class="block">Get the brush tool assigned to the item.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/session/ClipboardHolder.html" title="class in com.sk89q.worldedit.session">ClipboardHolder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getClipboard--">getClipboard</a></span>()</code>
<div class="block">Gets the clipboard.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getCUIVersion--">getCUIVersion</a></span>()</code>
<div class="block">Gets the client's CUI protocol version</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector">RegionSelectorType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getDefaultRegionSelector--">getDefaultRegionSelector</a></span>()</code>
<div class="block">Get the default region selector.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getLastScript--">getLastScript</a></span>()</code>
<div class="block">Get the last script used.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getMask--">getMask</a></span>()</code>
<div class="block">Get the mask.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getPlacementPosition-com.sk89q.worldedit.entity.Player-">getPlacementPosition</a></span>(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Get the position use for commands that take a center point
 (i.e.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getRegionSelector-com.sk89q.worldedit.world.World-">getRegionSelector</a></span>(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Get the region selector for defining the selection.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getReorderMode--">getReorderMode</a></span>()</code>
<div class="block">Gets the reorder mode of the session.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getSelection-com.sk89q.worldedit.world.World-">getSelection</a></span>(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Get the selection region.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getSelectionWorld--">getSelectionWorld</a></span>()</code>
<div class="block">Get the selection world.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getSnapshot--">getSnapshot</a></span>()</code>
<div class="block">Get the snapshot that has been selected.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool">BlockTool</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getSuperPickaxe--">getSuperPickaxe</a></span>()</code>
<div class="block">Get the assigned block tool.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getTimeout--">getTimeout</a></span>()</code>
<div class="block">Get the maximum time allowed for certain executions to run before cancelling them, such as expressions.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.time.ZoneId</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getTimeZone--">getTimeZone</a></span>()</code>
<div class="block">Get the session's timezone.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#getTool-com.sk89q.worldedit.world.item.ItemType-">getTool</a></span>(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item)</code>
<div class="block">Get the tool assigned to the item.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#handleCUIInitializationMessage-java.lang.String-com.sk89q.worldedit.extension.platform.Actor-">handleCUIInitializationMessage</a></span>(java.lang.String&nbsp;text,
                              <a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Handle a CUI initialization message.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#hasCUISupport--">hasCUISupport</a></span>()</code>
<div class="block">Gets the status of CUI support.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#hasFastMode--">hasFastMode</a></span>()</code>
<div class="block">Checks if the session has fast mode enabled.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#hasSuperPickAxe--">hasSuperPickAxe</a></span>()</code>
<div class="block">Checks whether the super pick axe is enabled.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#isDirty--">isDirty</a></span>()</code>
<div class="block">Get whether this session is "dirty" and has changes that needs to
 be committed.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#isSelectionDefined-com.sk89q.worldedit.world.World-">isSelectionDefined</a></span>(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Returns true if the region is fully defined for the specified world.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#isToolControlEnabled--">isToolControlEnabled</a></span>()</code>
<div class="block">See if tool control is enabled.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#isUsingInventory--">isUsingInventory</a></span>()</code>
<div class="block">Returns whether inventory usage is enabled for this session.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#postLoad--">postLoad</a></span>()</code>
<div class="block">Called on post load of the session from persistent storage.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#redo-com.sk89q.worldedit.extent.inventory.BlockBag-com.sk89q.worldedit.entity.Player-">redo</a></span>(<a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;newBlockBag,
    <a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Performs a redo</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#remember-com.sk89q.worldedit.EditSession-">remember</a></span>(<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</code>
<div class="block">Remember an edit session for the undo history.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setBlockChangeLimit-int-">setBlockChangeLimit</a></span>(int&nbsp;maxBlocksChanged)</code>
<div class="block">Set the maximum number of blocks that can be changed.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setClipboard-com.sk89q.worldedit.session.ClipboardHolder-">setClipboard</a></span>(<a href="../../../com/sk89q/worldedit/session/ClipboardHolder.html" title="class in com.sk89q.worldedit.session">ClipboardHolder</a>&nbsp;clipboard)</code>
<div class="block">Sets the clipboard.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setConfiguration-com.sk89q.worldedit.LocalConfiguration-">setConfiguration</a></span>(<a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config)</code>
<div class="block">Set the configuration.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setCUISupport-boolean-">setCUISupport</a></span>(boolean&nbsp;support)</code>
<div class="block">Sets the status of CUI support.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setCUIVersion-int-">setCUIVersion</a></span>(int&nbsp;cuiVersion)</code>
<div class="block">Sets the client's CUI protocol version</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setDefaultRegionSelector-com.sk89q.worldedit.regions.selector.RegionSelectorType-">setDefaultRegionSelector</a></span>(<a href="../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector">RegionSelectorType</a>&nbsp;defaultSelector)</code>
<div class="block">Set the default region selector.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setFastMode-boolean-">setFastMode</a></span>(boolean&nbsp;fastMode)</code>
<div class="block">Set fast mode.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setLastScript-java.lang.String-">setLastScript</a></span>(java.lang.String&nbsp;lastScript)</code>
<div class="block">Set the last script used.</div>
</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setMask-com.sk89q.worldedit.function.mask.Mask-">setMask</a></span>(<a href="../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</code>
<div class="block">Set a mask.</div>
</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.regions.RegionSelector-">setRegionSelector</a></span>(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                 <a href="../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;selector)</code>
<div class="block">Set the region selector.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setReorderMode-com.sk89q.worldedit.EditSession.ReorderMode-">setReorderMode</a></span>(<a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a>&nbsp;reorderMode)</code>
<div class="block">Sets the reorder mode of the session.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setSnapshot-com.sk89q.worldedit.world.snapshot.Snapshot-">setSnapshot</a></span>(<a href="../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;snapshot)</code>
<div class="block">Select a snapshot.</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setSuperPickaxe-com.sk89q.worldedit.command.tool.BlockTool-">setSuperPickaxe</a></span>(<a href="../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool">BlockTool</a>&nbsp;tool)</code>
<div class="block">Set the super pick axe tool.</div>
</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setTimeout-int-">setTimeout</a></span>(int&nbsp;timeout)</code>
<div class="block">Set the maximum number of blocks that can be changed.</div>
</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setTimezone-java.time.ZoneId-">setTimezone</a></span>(java.time.ZoneId&nbsp;timezone)</code>
<div class="block">Set the session's timezone.</div>
</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setTool-com.sk89q.worldedit.world.item.ItemType-com.sk89q.worldedit.command.tool.Tool-">setTool</a></span>(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item,
       <a href="../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a>&nbsp;tool)</code>
<div class="block">Set the tool.</div>
</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setToolControl-boolean-">setToolControl</a></span>(boolean&nbsp;toolControl)</code>
<div class="block">Change tool control setting.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setUseInventory-boolean-">setUseInventory</a></span>(boolean&nbsp;useInventory)</code>
<div class="block">Set the state of inventory usage.</div>
</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#setUseServerCUI-boolean-">setUseServerCUI</a></span>(boolean&nbsp;useServerCUI)</code>&nbsp;</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#shouldUseServerCUI--">shouldUseServerCUI</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#tellVersion-com.sk89q.worldedit.extension.platform.Actor-">tellVersion</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Tell the player the WorldEdit version.</div>
</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#togglePlacementPosition--">togglePlacementPosition</a></span>()</code>
<div class="block">Toggle placement position.</div>
</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#toggleSuperPickAxe--">toggleSuperPickAxe</a></span>()</code>
<div class="block">Toggle the super pick axe.</div>
</td>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#undo-com.sk89q.worldedit.extent.inventory.BlockBag-com.sk89q.worldedit.entity.Player-">undo</a></span>(<a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;newBlockBag,
    <a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Performs an undo.</div>
</td>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/LocalSession.html#updateServerCUI-com.sk89q.worldedit.extension.platform.Actor-">updateServerCUI</a></span>(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Update server-side WorldEdit CUI.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="MAX_HISTORY_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MAX_HISTORY_SIZE</h4>
<pre>public static transient&nbsp;int MAX_HISTORY_SIZE</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LocalSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LocalSession</h4>
<pre>public&nbsp;LocalSession()</pre>
<div class="block">Construct the object.

 <p><a href="../../../com/sk89q/worldedit/LocalSession.html#setConfiguration-com.sk89q.worldedit.LocalConfiguration-"><code>setConfiguration(LocalConfiguration)</code></a> should be called
 later with configuration.</p></div>
</li>
</ul>
<a name="LocalSession-com.sk89q.worldedit.LocalConfiguration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LocalSession</h4>
<pre>public&nbsp;LocalSession(@Nullable
                    <a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config)</pre>
<div class="block">Construct the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>config</code> - the configuration</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setConfiguration-com.sk89q.worldedit.LocalConfiguration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfiguration</h4>
<pre>public&nbsp;void&nbsp;setConfiguration(<a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config)</pre>
<div class="block">Set the configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>config</code> - the configuration</dd>
</dl>
</li>
</ul>
<a name="postLoad--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postLoad</h4>
<pre>public&nbsp;void&nbsp;postLoad()</pre>
<div class="block">Called on post load of the session from persistent storage.</div>
</li>
</ul>
<a name="isDirty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDirty</h4>
<pre>public&nbsp;boolean&nbsp;isDirty()</pre>
<div class="block">Get whether this session is "dirty" and has changes that needs to
 be committed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if dirty</dd>
</dl>
</li>
</ul>
<a name="compareAndResetDirty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareAndResetDirty</h4>
<pre>public&nbsp;boolean&nbsp;compareAndResetDirty()</pre>
<div class="block">Get whether this session is "dirty" and has changes that needs to
 be committed, and reset it to <code>false</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the dirty value was <code>true</code></dd>
</dl>
</li>
</ul>
<a name="getTimeZone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeZone</h4>
<pre>public&nbsp;java.time.ZoneId&nbsp;getTimeZone()</pre>
<div class="block">Get the session's timezone.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the timezone</dd>
</dl>
</li>
</ul>
<a name="setTimezone-java.time.ZoneId-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimezone</h4>
<pre>public&nbsp;void&nbsp;setTimezone(java.time.ZoneId&nbsp;timezone)</pre>
<div class="block">Set the session's timezone.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timezone</code> - the user's timezone</dd>
</dl>
</li>
</ul>
<a name="clearHistory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearHistory</h4>
<pre>public&nbsp;void&nbsp;clearHistory()</pre>
<div class="block">Clear history.</div>
</li>
</ul>
<a name="remember-com.sk89q.worldedit.EditSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remember</h4>
<pre>public&nbsp;void&nbsp;remember(<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</pre>
<div class="block">Remember an edit session for the undo history. If the history maximum
 size is reached, old edit sessions will be discarded.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editSession</code> - the edit session</dd>
</dl>
</li>
</ul>
<a name="undo-com.sk89q.worldedit.extent.inventory.BlockBag-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undo</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;undo(@Nullable
                        <a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;newBlockBag,
                        <a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Performs an undo.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBlockBag</code> - a new block bag</dd>
<dd><code>player</code> - the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether anything was undone</dd>
</dl>
</li>
</ul>
<a name="redo-com.sk89q.worldedit.extent.inventory.BlockBag-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redo</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;redo(@Nullable
                        <a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;newBlockBag,
                        <a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Performs a redo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBlockBag</code> - a new block bag</dd>
<dd><code>player</code> - the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether anything was redone</dd>
</dl>
</li>
</ul>
<a name="getDefaultRegionSelector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultRegionSelector</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector">RegionSelectorType</a>&nbsp;getDefaultRegionSelector()</pre>
<div class="block">Get the default region selector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the default region selector</dd>
</dl>
</li>
</ul>
<a name="setDefaultRegionSelector-com.sk89q.worldedit.regions.selector.RegionSelectorType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultRegionSelector</h4>
<pre>public&nbsp;void&nbsp;setDefaultRegionSelector(<a href="../../../com/sk89q/worldedit/regions/selector/RegionSelectorType.html" title="enum in com.sk89q.worldedit.regions.selector">RegionSelectorType</a>&nbsp;defaultSelector)</pre>
<div class="block">Set the default region selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultSelector</code> - the default region selector</dd>
</dl>
</li>
</ul>
<a name="getRegionSelector-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegionSelector</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;getRegionSelector(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Get the region selector for defining the selection. If the selection
 was defined for a different world, the old selection will be discarded.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>position the position</dd>
</dl>
</li>
</ul>
<a name="setRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.regions.RegionSelector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegionSelector</h4>
<pre>public&nbsp;void&nbsp;setRegionSelector(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                              <a href="../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;selector)</pre>
<div class="block">Set the region selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dd><code>selector</code> - the selector</dd>
</dl>
</li>
</ul>
<a name="isSelectionDefined-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSelectionDefined</h4>
<pre>public&nbsp;boolean&nbsp;isSelectionDefined(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Returns true if the region is fully defined for the specified world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a region selection is defined</dd>
</dl>
</li>
</ul>
<a name="getSelection-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelection</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;getSelection(<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)
                    throws <a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block">Get the selection region. If you change the region, you should
 call learnRegionChanges().  If the selection is defined in
 a different world, the <code>IncompleteRegionException</code>
 exception will be thrown.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a region</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - if no region is selected</dd>
</dl>
</li>
</ul>
<a name="getSelectionWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectionWorld</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getSelectionWorld()</pre>
<div class="block">Get the selection world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the the world of the selection</dd>
</dl>
</li>
</ul>
<a name="getClipboard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClipboard</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/session/ClipboardHolder.html" title="class in com.sk89q.worldedit.session">ClipboardHolder</a>&nbsp;getClipboard()
                             throws <a href="../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a></pre>
<div class="block">Gets the clipboard.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clipboard</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a></code> - thrown if no clipboard is set</dd>
</dl>
</li>
</ul>
<a name="setClipboard-com.sk89q.worldedit.session.ClipboardHolder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClipboard</h4>
<pre>public&nbsp;void&nbsp;setClipboard(@Nullable
                         <a href="../../../com/sk89q/worldedit/session/ClipboardHolder.html" title="class in com.sk89q.worldedit.session">ClipboardHolder</a>&nbsp;clipboard)</pre>
<div class="block">Sets the clipboard.

 <p>Pass <code>null</code> to clear the clipboard.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clipboard</code> - the clipboard, or null if the clipboard is to be cleared</dd>
</dl>
</li>
</ul>
<a name="isToolControlEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isToolControlEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isToolControlEnabled()</pre>
<div class="block">See if tool control is enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if enabled</dd>
</dl>
</li>
</ul>
<a name="setToolControl-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolControl</h4>
<pre>public&nbsp;void&nbsp;setToolControl(boolean&nbsp;toolControl)</pre>
<div class="block">Change tool control setting.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>toolControl</code> - true to enable tool control</dd>
</dl>
</li>
</ul>
<a name="getBlockChangeLimit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockChangeLimit</h4>
<pre>public&nbsp;int&nbsp;getBlockChangeLimit()</pre>
<div class="block">Get the maximum number of blocks that can be changed in an edit session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>block change limit</dd>
</dl>
</li>
</ul>
<a name="setBlockChangeLimit-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlockChangeLimit</h4>
<pre>public&nbsp;void&nbsp;setBlockChangeLimit(int&nbsp;maxBlocksChanged)</pre>
<div class="block">Set the maximum number of blocks that can be changed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxBlocksChanged</code> - the maximum number of blocks changed</dd>
</dl>
</li>
</ul>
<a name="getTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeout</h4>
<pre>public&nbsp;int&nbsp;getTimeout()</pre>
<div class="block">Get the maximum time allowed for certain executions to run before cancelling them, such as expressions.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>timeout time, in milliseconds</dd>
</dl>
</li>
</ul>
<a name="setTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeout</h4>
<pre>public&nbsp;void&nbsp;setTimeout(int&nbsp;timeout)</pre>
<div class="block">Set the maximum number of blocks that can be changed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeout</code> - the time, in milliseconds, to limit certain executions to, or -1 to disable</dd>
</dl>
</li>
</ul>
<a name="hasSuperPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasSuperPickAxe</h4>
<pre>public&nbsp;boolean&nbsp;hasSuperPickAxe()</pre>
<div class="block">Checks whether the super pick axe is enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>status</dd>
</dl>
</li>
</ul>
<a name="enableSuperPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enableSuperPickAxe</h4>
<pre>public&nbsp;void&nbsp;enableSuperPickAxe()</pre>
<div class="block">Enable super pick axe.</div>
</li>
</ul>
<a name="disableSuperPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableSuperPickAxe</h4>
<pre>public&nbsp;void&nbsp;disableSuperPickAxe()</pre>
<div class="block">Disable super pick axe.</div>
</li>
</ul>
<a name="toggleSuperPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toggleSuperPickAxe</h4>
<pre>public&nbsp;boolean&nbsp;toggleSuperPickAxe()</pre>
<div class="block">Toggle the super pick axe.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the super pick axe is now enabled</dd>
</dl>
</li>
</ul>
<a name="getPlacementPosition-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlacementPosition</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getPlacementPosition(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)
                                  throws <a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block">Get the position use for commands that take a center point
 (i.e. //forestgen, etc.).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the position to use</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - thrown if a region is not fully selected</dd>
</dl>
</li>
</ul>
<a name="togglePlacementPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>togglePlacementPosition</h4>
<pre>public&nbsp;boolean&nbsp;togglePlacementPosition()</pre>
<div class="block">Toggle placement position.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether "place at position 1" is now enabled</dd>
</dl>
</li>
</ul>
<a name="getBlockBag-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockBag</h4>
<pre>@Nullable
public&nbsp;<a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;getBlockBag(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Get a block bag for a player.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the player to get the block bag for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a block bag</dd>
</dl>
</li>
</ul>
<a name="getSnapshot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSnapshot</h4>
<pre>@Nullable
public&nbsp;<a href="../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;getSnapshot()</pre>
<div class="block">Get the snapshot that has been selected.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the snapshot</dd>
</dl>
</li>
</ul>
<a name="setSnapshot-com.sk89q.worldedit.world.snapshot.Snapshot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSnapshot</h4>
<pre>public&nbsp;void&nbsp;setSnapshot(@Nullable
                        <a href="../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;snapshot)</pre>
<div class="block">Select a snapshot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>snapshot</code> - a snapshot</dd>
</dl>
</li>
</ul>
<a name="getSuperPickaxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuperPickaxe</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool">BlockTool</a>&nbsp;getSuperPickaxe()</pre>
<div class="block">Get the assigned block tool.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the super pickaxe tool mode</dd>
</dl>
</li>
</ul>
<a name="setSuperPickaxe-com.sk89q.worldedit.command.tool.BlockTool-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuperPickaxe</h4>
<pre>public&nbsp;void&nbsp;setSuperPickaxe(<a href="../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool">BlockTool</a>&nbsp;tool)</pre>
<div class="block">Set the super pick axe tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tool</code> - the tool to set</dd>
</dl>
</li>
</ul>
<a name="getTool-com.sk89q.worldedit.world.item.ItemType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTool</h4>
<pre>@Nullable
public&nbsp;<a href="../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a>&nbsp;getTool(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item)</pre>
<div class="block">Get the tool assigned to the item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tool, which may be <code>null</code></dd>
</dl>
</li>
</ul>
<a name="getBrushTool-com.sk89q.worldedit.world.item.ItemType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBrushTool</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/command/tool/BrushTool.html" title="class in com.sk89q.worldedit.command.tool">BrushTool</a>&nbsp;getBrushTool(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item)
                       throws <a href="../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a></pre>
<div class="block">Get the brush tool assigned to the item. If there is no tool assigned
 or the tool is not assigned, the slot will be replaced with the
 brush tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tool, or <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a></code> - if the item can't be bound to that item</dd>
</dl>
</li>
</ul>
<a name="setTool-com.sk89q.worldedit.world.item.ItemType-com.sk89q.worldedit.command.tool.Tool-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTool</h4>
<pre>public&nbsp;void&nbsp;setTool(<a href="../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;item,
                    @Nullable
                    <a href="../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a>&nbsp;tool)
             throws <a href="../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a></pre>
<div class="block">Set the tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item type</dd>
<dd><code>tool</code> - the tool to set, which can be <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a></code> - if the item can't be bound to that item</dd>
</dl>
</li>
</ul>
<a name="isUsingInventory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUsingInventory</h4>
<pre>public&nbsp;boolean&nbsp;isUsingInventory()</pre>
<div class="block">Returns whether inventory usage is enabled for this session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if inventory is being used</dd>
</dl>
</li>
</ul>
<a name="setUseInventory-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseInventory</h4>
<pre>public&nbsp;void&nbsp;setUseInventory(boolean&nbsp;useInventory)</pre>
<div class="block">Set the state of inventory usage.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>useInventory</code> - if inventory is to be used</dd>
</dl>
</li>
</ul>
<a name="getLastScript--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastScript</h4>
<pre>@Nullable
public&nbsp;java.lang.String&nbsp;getLastScript()</pre>
<div class="block">Get the last script used.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the last script's name</dd>
</dl>
</li>
</ul>
<a name="setLastScript-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastScript</h4>
<pre>public&nbsp;void&nbsp;setLastScript(@Nullable
                          java.lang.String&nbsp;lastScript)</pre>
<div class="block">Set the last script used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastScript</code> - the last script's name</dd>
</dl>
</li>
</ul>
<a name="tellVersion-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tellVersion</h4>
<pre>public&nbsp;void&nbsp;tellVersion(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block">Tell the player the WorldEdit version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the player</dd>
</dl>
</li>
</ul>
<a name="shouldUseServerCUI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shouldUseServerCUI</h4>
<pre>public&nbsp;boolean&nbsp;shouldUseServerCUI()</pre>
</li>
</ul>
<a name="setUseServerCUI-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseServerCUI</h4>
<pre>public&nbsp;void&nbsp;setUseServerCUI(boolean&nbsp;useServerCUI)</pre>
</li>
</ul>
<a name="updateServerCUI-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateServerCUI</h4>
<pre>public&nbsp;void&nbsp;updateServerCUI(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Update server-side WorldEdit CUI.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - The player</dd>
</dl>
</li>
</ul>
<a name="dispatchCUIEvent-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.internal.cui.CUIEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchCUIEvent</h4>
<pre>public&nbsp;void&nbsp;dispatchCUIEvent(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                             <a href="../../../com/sk89q/worldedit/internal/cui/CUIEvent.html" title="interface in com.sk89q.worldedit.internal.cui">CUIEvent</a>&nbsp;event)</pre>
<div class="block">Dispatch a CUI event but only if the actor has CUI support.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
<dd><code>event</code> - the event</dd>
</dl>
</li>
</ul>
<a name="dispatchCUISetup-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchCUISetup</h4>
<pre>public&nbsp;void&nbsp;dispatchCUISetup(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Dispatch the initial setup CUI messages.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
</dl>
</li>
</ul>
<a name="dispatchCUISelection-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchCUISelection</h4>
<pre>public&nbsp;void&nbsp;dispatchCUISelection(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Send the selection information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
</dl>
</li>
</ul>
<a name="describeCUI-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeCUI</h4>
<pre>public&nbsp;void&nbsp;describeCUI(<a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Describe the selection to the CUI actor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
</dl>
</li>
</ul>
<a name="handleCUIInitializationMessage-java.lang.String-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleCUIInitializationMessage</h4>
<pre>public&nbsp;void&nbsp;handleCUIInitializationMessage(java.lang.String&nbsp;text,
                                           <a href="../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Handle a CUI initialization message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - the message</dd>
</dl>
</li>
</ul>
<a name="hasCUISupport--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasCUISupport</h4>
<pre>public&nbsp;boolean&nbsp;hasCUISupport()</pre>
<div class="block">Gets the status of CUI support.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if CUI is enabled</dd>
</dl>
</li>
</ul>
<a name="setCUISupport-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCUISupport</h4>
<pre>public&nbsp;void&nbsp;setCUISupport(boolean&nbsp;support)</pre>
<div class="block">Sets the status of CUI support.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>support</code> - true if CUI is enabled</dd>
</dl>
</li>
</ul>
<a name="getCUIVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCUIVersion</h4>
<pre>public&nbsp;int&nbsp;getCUIVersion()</pre>
<div class="block">Gets the client's CUI protocol version</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the CUI version</dd>
</dl>
</li>
</ul>
<a name="setCUIVersion-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCUIVersion</h4>
<pre>public&nbsp;void&nbsp;setCUIVersion(int&nbsp;cuiVersion)</pre>
<div class="block">Sets the client's CUI protocol version</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cuiVersion</code> - the CUI version</dd>
</dl>
</li>
</ul>
<a name="detectDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detectDate</h4>
<pre>@Nullable
public&nbsp;java.util.Calendar&nbsp;detectDate(java.lang.String&nbsp;input)</pre>
<div class="block">Detect date from a user's input.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - the input to parse</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a date</dd>
</dl>
</li>
</ul>
<a name="createEditSession-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEditSession</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;createEditSession(<a href="../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Construct a new edit session.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an edit session</dd>
</dl>
</li>
</ul>
<a name="hasFastMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasFastMode</h4>
<pre>public&nbsp;boolean&nbsp;hasFastMode()</pre>
<div class="block">Checks if the session has fast mode enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if fast mode is enabled</dd>
</dl>
</li>
</ul>
<a name="setFastMode-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFastMode</h4>
<pre>public&nbsp;void&nbsp;setFastMode(boolean&nbsp;fastMode)</pre>
<div class="block">Set fast mode.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fastMode</code> - true if fast mode is enabled</dd>
</dl>
</li>
</ul>
<a name="getReorderMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReorderMode</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a>&nbsp;getReorderMode()</pre>
<div class="block">Gets the reorder mode of the session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The reorder mode</dd>
</dl>
</li>
</ul>
<a name="setReorderMode-com.sk89q.worldedit.EditSession.ReorderMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReorderMode</h4>
<pre>public&nbsp;void&nbsp;setReorderMode(<a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a>&nbsp;reorderMode)</pre>
<div class="block">Sets the reorder mode of the session.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reorderMode</code> - The reorder mode</dd>
</dl>
</li>
</ul>
<a name="getMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMask</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;getMask()</pre>
<div class="block">Get the mask.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mask, may be null</dd>
</dl>
</li>
</ul>
<a name="setMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setMask</h4>
<pre>public&nbsp;void&nbsp;setMask(<a href="../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</pre>
<div class="block">Set a mask.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mask</code> - mask or null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/LocalSession.html" target="_top">Frames</a></li>
<li><a href="LocalSession.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
